Welcome to mirror list, hosted at ThFree Co, Russian Federation.

git.blender.org/blender.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorCampbell Barton <ideasman42@gmail.com>2014-11-26 22:23:27 +0300
committerCampbell Barton <ideasman42@gmail.com>2014-11-26 22:24:04 +0300
commite7cb4d2a0d2a9ef39eed90c44b893d11cef74f26 (patch)
treeaea9ba544490961eb9c37519f39009a57c37a024
parentcdcef1d99319ac6cc7f5fbbd003777efe08e88e4 (diff)
API Docs: remove hardcoded self from shellscript
-rwxr-xr-xdoc/python_api/sphinx_doc_gen.sh6
1 files changed, 5 insertions, 1 deletions
diff --git a/doc/python_api/sphinx_doc_gen.sh b/doc/python_api/sphinx_doc_gen.sh
index 3e01293588a..01de3e2c2ea 100755
--- a/doc/python_api/sphinx_doc_gen.sh
+++ b/doc/python_api/sphinx_doc_gen.sh
@@ -3,6 +3,10 @@
# bash doc/python_api/sphinx_doc_gen.sh
# ssh upload means you need an account on the server
+if [ "$1" == "" ] ; then
+ echo "Expected a single argument for the username on blender.org, aborting"
+ exit 1
+fi
# ----------------------------------------------------------------------------
# Upload vars
@@ -16,7 +20,7 @@ DO_OUT_PDF=false
BLENDER="./blender.bin"
-SSH_USER="ideasman42"
+SSH_USER=$1
SSH_HOST=$SSH_USER"@blender.org"
SSH_UPLOAD="/data/www/vhosts/www.blender.org/api" # blender_python_api_VERSION, added after